/**
 **	File:	list.h
 **
 **	Published / author: 2004-04-14 / grymse@alhem.net
 **/

/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

typedef struct liststruct
{
	struct liststruct *next;
} LIST;

typedef struct stringstruct
{
	struct stringstruct *next;
	char *s;
} STRING;

extern	STRING *stringbase;

STRING *name2string(char *);
void addlist(void *,void *);
void addfast(void *,void *);
void addliststring(void *,void *);
void removelist(void *,void *);
void freelist(void *);
long listlen(void *);
